<?php

use App\Core\Template\Output as Output;
use Routes\RouteCollection as RouteCollection;

//Menu itens
RouteCollection::get('*', function() {
    Output::addOnSubmenu('config', '/files', "Arquivos", "", ['class' => 'nav-link']);
}, -10)->doIgnore();

RouteCollection::group("/files", function(){
    RouteCollection::post  ("/",            "\App\Common\Files\FilesController@store");
    RouteCollection::get   ("/[i:id]",      "\App\Common\Files\FilesController@show");
    RouteCollection::put   ("/[i:id]/edit", "\App\Common\Files\FilesController@update");
    RouteCollection::delete("/[i:id]",      "\App\Common\Files\FilesController@destroy");
});